[PATCH] remove _gl_lightmap_sort cvar

Benchmarking didn't show any noticable difference, so removing this cvar and
code path.

diff -urN -X exclude a/NQ/gl_rmain.c head/NQ/gl_rmain.c
--- a/NQ/gl_rmain.c	2006-05-28 12:14:41.000000000 +0930
+++ head/NQ/gl_rmain.c	2006-05-28 12:33:40.000000000 +0930
@@ -116,7 +116,6 @@
 cvar_t gl_nocolors = { "gl_nocolors", "0" };
 cvar_t gl_doubleeyes = { "gl_doubleeyes", "1" };
 
-cvar_t _gl_lightmap_sort = { "_gl_lightmap_sort", "0" };
 cvar_t _gl_allowgammafallback = { "_gl_allowgammafallback", "1" };
 
 /*
diff -urN -X exclude a/NQ/gl_rmisc.c head/NQ/gl_rmisc.c
--- a/NQ/gl_rmisc.c	2006-05-28 12:14:41.000000000 +0930
+++ head/NQ/gl_rmisc.c	2006-05-28 12:33:47.000000000 +0930
@@ -210,7 +210,6 @@
     Cvar_RegisterVariable(&gl_clear);
     Cvar_RegisterVariable(&gl_texsort);
 
-    Cvar_RegisterVariable(&_gl_lightmap_sort);
     Cvar_RegisterVariable(&_gl_allowgammafallback);
     Cvar_RegisterVariable(&_gl_drawhull);
 
diff -urN -X exclude a/QW/client/gl_rmain.c head/QW/client/gl_rmain.c
--- a/QW/client/gl_rmain.c	2006-05-28 12:14:41.000000000 +0930
+++ head/QW/client/gl_rmain.c	2006-05-28 12:34:14.000000000 +0930
@@ -120,7 +120,6 @@
 cvar_t gl_playermip = { "gl_playermip", "0" };
 cvar_t gl_nocolors = { "gl_nocolors", "0" };
 
-cvar_t _gl_lightmap_sort = { "_gl_lightmap_sort", "0" };
 cvar_t _gl_allowgammafallback = { "_gl_allowgammafallback", "1" };
 
 /*
diff -urN -X exclude a/QW/client/gl_rmisc.c head/QW/client/gl_rmisc.c
--- a/QW/client/gl_rmisc.c	2006-05-28 12:14:41.000000000 +0930
+++ head/QW/client/gl_rmisc.c	2006-05-28 12:34:21.000000000 +0930
@@ -210,7 +210,6 @@
     Cvar_RegisterVariable(&gl_clear);
     Cvar_RegisterVariable(&gl_texsort);
 
-    Cvar_RegisterVariable(&_gl_lightmap_sort);
     Cvar_RegisterVariable(&_gl_allowgammafallback);
     Cvar_RegisterVariable(&_gl_drawhull);
 
diff -urN -X exclude a/common/gl_rsurf.c head/common/gl_rsurf.c
--- a/common/gl_rsurf.c	2006-05-27 16:57:05.000000000 +0930
+++ head/common/gl_rsurf.c	2006-05-28 12:33:17.000000000 +0930
@@ -1345,76 +1345,23 @@
     t1 = Sys_DoubleTime();
     cnt = 0;
 
-    if (_gl_lightmap_sort.value) {
-	/*
-	 * Create texture chains so that lightmaps get allocated in texture
-	 * order. That way, surfaces with the same textures are more likely to
-	 * be allocated in the same lightmap block and hence we will need less
-	 * state changes when rendering
-	 * FIXME - benchmark & pick one when texsort + multitexture is done).
-	 */
-	for (j = 1; j < MAX_MODELS; j++) {
-	    msurface_t *surf;
-	    texture_t *t;
-
-	    m = cl.model_precache[j];
-	    if (!m)
-		break;
-	    if (m->name[0] == '*')
+    for (j = 1; j < MAX_MODELS; j++) {
+	m = cl.model_precache[j];
+	if (!m)
+	    break;
+	if (m->name[0] == '*')
+	    continue;
+
+	r_pcurrentvertbase = m->vertexes;
+	currentmodel = m;
+	for (i = 0; i < m->numsurfaces; i++) {
+	    cnt++;
+	    GL_CreateSurfaceLightmap(m->surfaces + i);
+	    if (m->surfaces[i].flags & SURF_DRAWTURB)
 		continue;
-
-	    for (i = 0; i < m->numtextures; i++) {
-		t = m->textures[i];
-		if (t)
-		    t->texturechain = NULL;
-	    }
-
-	    for (i = 0; i < m->numsurfaces; i++) {
-		surf = m->surfaces + i;
-		surf->texturechain = surf->texinfo->texture->texturechain;
-		surf->texinfo->texture->texturechain = surf;
-	    }
-
-	    r_pcurrentvertbase = m->vertexes;
-	    currentmodel = m;
-
-	    for (i = 0; i < m->numtextures; i++) {
-		t = m->textures[i];
-		if (!t)
-		    continue;
-
-		for (surf = t->texturechain; surf; surf = surf->texturechain) {
-		    cnt++;
-		    GL_CreateSurfaceLightmap(surf);
-		    if (surf->flags & SURF_DRAWTURB)
-			continue;
-		    if (surf->flags & SURF_DRAWSKY)
-			continue;
-		    BuildSurfaceDisplayList(surf);
-		}
-		t->texturechain = NULL;
-	    }
-	}
-
-    } else {
-	for (j = 1; j < MAX_MODELS; j++) {
-	    m = cl.model_precache[j];
-	    if (!m)
-		break;
-
-	    if (m->name[0] == '*')
+	    if (m->surfaces[i].flags & SURF_DRAWSKY)
 		continue;
-	    r_pcurrentvertbase = m->vertexes;
-	    currentmodel = m;
-	    for (i = 0; i < m->numsurfaces; i++) {
-		cnt++;
-		GL_CreateSurfaceLightmap(m->surfaces + i);
-		if (m->surfaces[i].flags & SURF_DRAWTURB)
-		    continue;
-		if (m->surfaces[i].flags & SURF_DRAWSKY)
-		    continue;
-		BuildSurfaceDisplayList(m->surfaces + i);
-	    }
+	    BuildSurfaceDisplayList(m->surfaces + i);
 	}
     }
 
diff -urN -X exclude a/include/glquake.h head/include/glquake.h
--- a/include/glquake.h	2006-05-28 12:14:41.000000000 +0930
+++ head/include/glquake.h	2006-05-28 12:33:30.000000000 +0930
@@ -215,7 +215,6 @@
 extern cvar_t gl_nocolors;
 extern cvar_t gl_finish;
 
-extern cvar_t _gl_lightmap_sort;
 extern cvar_t _gl_allowgammafallback;
 extern cvar_t _gl_drawhull;
 
